ATEST(1)

NAME
atest - Decode AX.25 frames from an audio file.

SYNOPSIS
atest [ options ] wav-file-in

    wav-file-in is a WAV format audio file.

DESCRIPTION
atest is a test application which decodes AX.25 frames from an audio recording. This provides an easy way to test Dire Wolf decoding performance much quicker than normal real-time.

OPTIONS

-B n
    Data rate in bits/sec. Standard values are 300, 1200, 2400, 4800, 9600.
        300 bps defaults to AFSK tones of 1600 & 1800.
        1200 bps uses AFSK tones of 1200 & 2200.
        2400 bps uses QPSK based on V.26 standard.
        4800 bps uses 8PSK based on V.27 standard.
        9600 bps and up uses K9NG/G3RUH standard.

-g  Force G3RUH modem regardless of data rate.

-j  2400 bps QPSK compatible with Dire Wolf <= 1.5.

-J  2400 bps QPSK compatible with MFJ-2400.

-D n
    Divide audio sample rate by n.

-h  Print frame contents as hexadecimal bytes.

-F n
    Amount of effort to try fixing frames with an invalid CRC. 0 (default) = consider only correct frames. 1 = Try to fix only a single bit. more = Try modifying more bits to get a good CRC.

-L  Error if Less than this number decoded.

-G  Error if Greater than this number decoded.

-P m
    Select the demodulator type such as D (default for 300 bps), E+ (default for 1200 bps), PQRS for 2400 bps, etc.

EXAMPLES

gen_packets -o test1.wav
atest test1.wav

gen_packets -B 300 -o test3.wav
atest -B 300 test3.wav

gen_packets -B 9600 -o test9.wav
atest -B 9600 test9.wav

    This generates and decodes 3 test files with 1200, 300, and 9600 bits per second.

atest 02_Track_2.wav
atest -P E- 02_Track_2.wav
atest -F 1 02_Track_2.wav
atest -P E- -F 1 02_Track_2.wav

    Try different combinations of options to compare decoding performance.

SEE ALSO
More detailed information is in the pdf files in /usr/local/share/doc/direwolf, or possibly /usr/share/doc/direwolf, depending on installation location. Applications in this package: aclients, atest, cm108, decode_aprs, direwolf, gen_packets, kissutil, ll2utm, log2gpx, text2tt, tt2text, utm2ll